
TYPO3.Fluid - Bug # 52182

Status: Rejected Priority: Should have
Author: mario chiari Category: ViewHelpers
Created: 2013-09-23 Assigned To: Bastian Waidelich
Updated: 2013-09-24 Due date:
Has patch: No
Affected Flow version: Flow 2.0.0
Subject: & vs. &amp;
Description

see http://www.htmlhelp.com/tools/validator/problems.html#amp
It seems that Fluid renders 

<f:uri.action ... arguments="{obj1:value1, obj2:value2}"></f:uri.action>

as 

obj1=value1&obj2=value2

instead of 

obj1=value1&amp;obj2=value2

History
#1 - 2013-09-23 11:40 - Bastian Waidelich
- Category set to ViewHelpers
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#2 - 2013-09-23 12:26 - Bastian Waidelich
- Status changed from Accepted to Needs Feedback

Hi Mario,

thanks for the report.
After thinking about this again I don't think this is a bug in fact:

1<f:link.action ../>

already correctly encodes the href attribute converting & to &amp and such.
That

1{f:uri.action(..)}
http://www.htmlhelp.com/tools/validator/problems.html#amp


returns the unmodified URI is actually intended as it only needs to be encoded for (X)HTML output.

If you need the encoded URI you should use the format.urlencode ViewHelper like:

1{f:uri.action(..) -> f:format.urlencode()}

#3 - 2013-09-24 15:16 - Bastian Waidelich
- Status changed from Needs Feedback to Rejected

Closing as agreed to via IRC
